OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockOutageConfig

    java.lang.Object
      org.opennms.netmgt.mock.MockOutageConfig

All Implemented Interfaces:
  OutageManagerConfig

public class MockOutageConfig
extends java.lang.Object
implements OutageManagerConfig

Field Summary
`private java.lang.String` `m_getNextOutageID`

Constructor Summary
`MockOutageConfig()`

Method Summary
`boolean` `deletePropagation()` Return a boolean flag to indicate if a deleteService should be propagated to the interface or node level deletion when approciate.
`java.lang.String` `getGetNextOutageID()` Return the SQL statemet to get the next outage ID.
`int` `getWriters()` Return the number of writer threads to be started.
`void` `setGetNextOutageID(java.lang.String nextOutageIdStatement)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_getNextOutageID

    private java.lang.String m_getNextOutageID

Constructor Detail

### MockOutageConfig

    public MockOutageConfig()

Method Detail

### deletePropagation

    public boolean deletePropagation()

  Description copied from interface: `OutageManagerConfig`
  Return a boolean flag to indicate if a deleteService should be propagated to the interface or node level deletion when approciate.

  Specified by:
    `deletePropagation` in interface `OutageManagerConfig`
  Returns:
    true for delete propagation otherwise false.

### getGetNextOutageID

    public java.lang.String getGetNextOutageID()

  Description copied from interface: `OutageManagerConfig`
  Return the SQL statemet to get the next outage ID.

  Specified by:
    `getGetNextOutageID` in interface `OutageManagerConfig`
  Returns:
    the SQL statemet to get the next outage ID

### getWriters

    public int getWriters()

  Description copied from interface: `OutageManagerConfig`
  Return the number of writer threads to be started.

  Specified by:
    `getWriters` in interface `OutageManagerConfig`
  Returns:
    the number of writer threads to be started

### setGetNextOutageID

    public void setGetNextOutageID(java.lang.String nextOutageIdStatement)

  Parameters:
    `nextOutageIdStatement` -

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.